EVOLVOTRON_RENDER(1)

NAME
evolvotron_render - Render an evolvotron function tree to an image.

SYNOPSIS
evolvotron_render [options] imagefile.[png|ppm]

DESCRIPTION

evolvotron_render reads an evolvotron image function from its standard input and renders it to an image in the file specified (suffix determines type, defaults to ppm if not recognised).

Image functions can be obtained by saving them from the evolvotron application, or using evolvotron_mutate.

See the evolvotron manual (accessible from the evolvotron application's Help menu) for more information on image functions.

COMMAND-LINE OPTIONS

-f, --frames
    frames Generates multi-frame animations. .fnnnnnn is inserted into the specified filename (before the filetype suffix, if any). You can use this on functions which weren't evolved in animation mode, but there's no guarantee they have any interesting time/z variation.

-h, --help
    Display a summary of command-line options and exit.

-j, --jitter
    Enable sample jittering.

-m, --multisample
    multisample Enables antialiased rendering. This specifies the size of the sub-pixel sampling grid, so 1 provides the default one-sample-per-pixel behaviour, while 4 provides 16 samples per pixel on a 4x4 grid. Unlike the main evolvotron application, there is no upper limit, but of course rendering time increases as the square of this number.

-o, --output
    imagefile.[ppm|png] This option is an alternative to specifying the output filename as a positional argument.

-s, --size
    widthxheight Specify resolution of output image. Defaults to 512x512.

-v, --verbose
    Verbose mode; useful for monitoring progress of large renders.

EXAMPLES

evolvotron_mutate -g | evolvotron_render -s 1024x1024 function.ppm

AUTHOR
evolvotron_render was written by Tim Day (www.timday.com) and is released under the conditions of the GNU General Public License. See the file LICENSE supplied with the source code for details.

SEE ALSO

evolvotron(1), evolvotron_mutate(1)